# DbaasPostgresClusterRestore

Triggers an in-place restore of the given PostgreSQL.

```
knife ionoscloud dbaas postgres cluster restore (options)
```

## Available options:

### Required options:

* cluster\_id

```
    ionoscloud_url: --url URL
        the Ionoscloud API URL

    extra_config_file: --extra-config EXTRA_CONFIG_FILE_PATH, -e EXTRA_CONFIG_FILE_PATH
        path to the additional config file

    cluster_id: --cluster-id CLUSTER_ID, -C CLUSTER_ID
        iD of the cluster (required)

    backup_id: --backup-id BACKUP_ID, -B BACKUP_ID
        iD of backup

    recovery_target_time: --recovery-target-time RECOVERY_TARGET_TIME, -T RECOVERY_TARGET_TIME
        recovery target time

    ionoscloud_username: --username USERNAME, -u USERNAME
        your Ionoscloud username

    ionoscloud_password: --password PASSWORD, -p PASSWORD
        your Ionoscloud password

    ionoscloud_token: --token PASSWORD
        your Ionoscloud access token
```

## Example

```
knife ionoscloud dbaas postgres cluster restore --url URL --extra-config EXTRA_CONFIG_FILE_PATH --cluster-id CLUSTER_ID --backup-id BACKUP_ID --recovery-target-time RECOVERY_TARGET_TIME --username USERNAME --password PASSWORD --token PASSWORD
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/knife-plugin/subcommands/dbaas-postgres/dbaas_postgres_cluster_restore.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
